Subject: Re: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Marcin Borkowski <[email-masked]>
Date: Thu, 07 Dec 2017 14:28:20 +0100

On 2016-04-30, at 21:01, Eli Zaretskii <[email-masked]> wrote:

>> From: Marcin Borkowski <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 30 Apr 2016 20:42:43 +0200
>> 
>> > An opportunity to learn, I'd say.  You could start with
>> > admin/unidata/Blocks.txt, for example.  We use it to generate
>> > charscript.el (and categories are a semi-obsolete facility that
>> > predates char-script-table).
>> 
>> You got me here.  The problem is, I'm not going to have a lot of free
>> time in the next few weeks/months.
>
> There's no rush.  You shouldn't feel hard-pressed for a quick job.
>
>> But I'll try to look into this one.
>
> Great, thanks.

OK, so let me revive this old thread.  I decided to spend some (not too
much...) time on Emacs bugs again.  First things first: I think I fixed
this one.  (This is a bit embarassing: I did it many months ago, pushed
a branch and forgot to mention it here.)  Here it is:
http://git.savannah.gnu.org/cgit/emacs.git/log/?h=fix/bug-20871 - can
anyone look at it?

In the next few days I'm going to look at the documentation problem we
discussed here.

Best,

-- 
Marcin Borkowski